LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XPositioningListener Interface Referencepublished

allows to receive notifications about cursor movements into a database form. More...

`import "XPositioningListener.idl";`

Inheritance diagram for XPositioningListener:

## Public Member Functions
void | positioned ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the database form has been positioned on a data record.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows to receive notifications about cursor movements into a database form.

Please do not use anymore, this interface is deprecated, and superseded by functionality from the com::sun::star::form::component::DataForm service, as well as the com::sun::star::sdbc::XRowSetListener.

Deprecated

## Member Function Documentation

## ◆ positioned()

void positioned | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

is invoked when the database form has been positioned on a data record.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XPositioningListener.idl